Index: scripts/patch/bash-patch.sh
===================================================================
--- scripts/patch/bash-patch.sh	(revision be717885976bffe27d43f37b6bf38f2d01fdce2a)
+++ scripts/patch/bash-patch.sh	(revision c0d509001bd3ab298de8169c64fb16c4d28ad32b)
@@ -80,11 +80,12 @@
 # Cleanup Directory
 #
-cd /usr/src
-cd bash-${VERSION}
-for file in $(find * -name *~); do
-	rm -f ${file}
-done
-for file in $(find * -name *.orig); do
-	rm -f ${file}
+for dir in $(find * -type d); do
+	cd /usr/src/bash-${VERSION}/${dir}
+	for file in $(find * -name *~); do
+		rm -f ${file}
+	done
+	for file in $(find * -name *.orig); do
+		rm -f ${file}
+	done
 done
 
@@ -92,16 +93,16 @@
 #
 cd /usr/src
-echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > bash-${VERSION}-fixes-x.patch
-echo "Date: `date +%m-%d-%Y`" >> bash-${VERSION}-fixes-x.patch
-echo "Initial Package Version: ${VERSION}" >> bash-${VERSION}-fixes-x.patch
-echo "Origin: Upstream" >> bash-${VERSION}-fixes-x.patch
-echo "Upstream Status: Applied" >> bash-${VERSION}-fixes-x.patch
-echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> bash-${VERSION}-fixes-x.patch
+echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > bash-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> bash-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> bash-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> bash-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> bash-${VERSION}-branch_update-x.patch
+echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> bash-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "             The following patches were skipped" >> bash-${VERSION}-fixes-x.patch
-	echo "            ${SKIPPED}" >> bash-${VERSION}-fixes-x.patch
+	echo "             The following patches were skipped" >> bash-${VERSION}-branch_update-x.patch
+	echo "            ${SKIPPED}" >> bash-${VERSION}-branch_update-x.patch
 fi
-echo "" >> bash-${VERSION}-fixes-x.patch
-diff -Naur bash-${VERSION}.orig bash-${VERSION} >> bash-${VERSION}-fixes-x.patch
-echo "Created /usr/src/bash-${VERSION}-fixes-x.patch."
+echo "" >> bash-${VERSION}-branch_update-x.patch
+diff -Naur bash-${VERSION}.orig bash-${VERSION} >> bash-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/bash-${VERSION}-branch_update-x.patch."
 
Index: scripts/patch/binutils-patch.sh
===================================================================
--- scripts/patch/binutils-patch.sh	(revision be717885976bffe27d43f37b6bf38f2d01fdce2a)
+++ scripts/patch/binutils-patch.sh	(revision c0d509001bd3ab298de8169c64fb16c4d28ad32b)
@@ -55,4 +55,16 @@
 done
 
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+	cd /usr/src/binutils-${VERSION}
+	for file in $(find * -name *~); do
+		rm -f ${file}
+	done
+	for file in $(find * -name *.orig); do
+		rm -f ${file}
+	done
+done
+
 rm -f /usr/src/binutils-${VERSION}.orig/md5.sum
 
Index: scripts/patch/ncurses-patch.sh
===================================================================
--- scripts/patch/ncurses-patch.sh	(revision be717885976bffe27d43f37b6bf38f2d01fdce2a)
+++ scripts/patch/ncurses-patch.sh	(revision c0d509001bd3ab298de8169c64fb16c4d28ad32b)
@@ -76,11 +76,14 @@
 # Cleanup Directory
 #
-cd /usr/src
-cd ncurses-${VERSION}
-for file in $(find * -name *~); do
-	rm -f ${file}
-done
-for file in $(find * -name *.orig); do
-	rm -f ${file}
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+	cd /usr/src/ncurses-${VERSION}/${dir}
+	for file in $(find * -name *~); do
+		rm -f ${file}
+	done
+	for file in $(find * -name *.orig); do
+		rm -f ${file}
+	done
 done
 
Index: scripts/patch/readline-patch.sh
===================================================================
--- scripts/patch/readline-patch.sh	(revision be717885976bffe27d43f37b6bf38f2d01fdce2a)
+++ scripts/patch/readline-patch.sh	(revision c0d509001bd3ab298de8169c64fb16c4d28ad32b)
@@ -80,11 +80,14 @@
 # Cleanup Directory
 #
-cd /usr/src
-cd readline-${VERSION}
-for file in $(find * -name *~); do
-	rm -f ${file}
-done
-for file in $(find * -name *.orig); do
-	rm -f ${file}
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+	cd /usr/src/readline-${VERSION}/${dir}
+	for file in $(find * -name *~); do
+		rm -f ${file}
+	done
+	for file in $(find * -name *.orig); do
+		rm -f ${file}
+	done
 done
 
@@ -92,16 +95,16 @@
 #
 cd /usr/src
-echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > readline-${VERSION}-fixes-x.patch
-echo "Date: `date +%m-%d-%Y`" >> readline-${VERSION}-fixes-x.patch
-echo "Initial Package Version: ${VERSION}" >> readline-${VERSION}-fixes-x.patch
-echo "Origin: Upstream" >> readline-${VERSION}-fixes-x.patch
-echo "Upstream Status: Applied" >> readline-${VERSION}-fixes-x.patch
-echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> readline-${VERSION}-fixes-x.patch
+echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > readline-${VERSION}-branch_update-x.patch
+echo "Date: `date +%m-%d-%Y`" >> readline-${VERSION}-branch_update-x.patch
+echo "Initial Package Version: ${VERSION}" >> readline-${VERSION}-branch_update-x.patch
+echo "Origin: Upstream" >> readline-${VERSION}-branch_update-x.patch
+echo "Upstream Status: Applied" >> readline-${VERSION}-branch_update-x.patch
+echo "Description: Contains all upstream patches up to ${VERSION}-${FILES}" >> readline-${VERSION}-branch_update-x.patch
 if [ -n "${SKIPPED}" ]; then
-	echo "            Thee following patches were skipped" >> readline-${VERSION}-fixes-x.patch
-	echo "            ${SKIPPED}" >> readline-${VERSION}-fixes-x.patch
+	echo "            Thee following patches were skipped" >> readline-${VERSION}-branch_update-x.patch
+	echo "            ${SKIPPED}" >> readline-${VERSION}-branch_update-x.patch
 fi
-echo "" >> readline-${VERSION}-fixes-x.patch
-diff -Naur readline-${VERSION}.orig readline-${VERSION} >> readline-${VERSION}-fixes-x.patch
-echo "Created /usr/src/readline-${VERSION}-fixes-x.patch."
+echo "" >> readline-${VERSION}-branch_update-x.patch
+diff -Naur readline-${VERSION}.orig readline-${VERSION} >> readline-${VERSION}-branch_update-x.patch
+echo "Created /usr/src/readline-${VERSION}-branch_update-x.patch."
 
Index: scripts/patch/vim-patch.sh
===================================================================
--- scripts/patch/vim-patch.sh	(revision be717885976bffe27d43f37b6bf38f2d01fdce2a)
+++ scripts/patch/vim-patch.sh	(revision c0d509001bd3ab298de8169c64fb16c4d28ad32b)
@@ -80,11 +80,14 @@
 # Cleanup Directory
 #
-cd /usr/src
-cd vim${SERIES}
-for file in $(find * -name *~); do
-	rm -f $file
-done
-for file in $(find * -name *.orig); do
-	rm -f $file
+# Cleanup Directory
+#
+for dir in $(find * -type d); do
+	cd /usr/src/vim${SERIES}/${dir}
+	for file in $(find * -name *~); do
+		rm -f ${file}
+	done
+	for file in $(find * -name *.orig); do
+		rm -f ${file}
+	done
 done
 
